Page MenuHomeFreeBSD

converters/lua-iconv: fix build on armv7
ClosedPublic

Authored by pkubaj on Aug 24 2019, 12:56 PM.

Details

Summary

armv7 requires -fPIC too.

PR: 239623

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pkubaj created this revision.Aug 24 2019, 12:56 PM
linimon accepted this revision.Aug 31 2019, 11:13 AM

Approved. IMHO there should also be an entry for armv6.

This revision is now accepted and ready to land.Aug 31 2019, 11:13 AM

Why isn't this just CFLAGS+=-fPIC ?

pkubaj added a comment.Sep 1 2019, 5:43 PM

Why isn't this just CFLAGS+=-fPIC ?

Because e.g. powerpc64 doesn't need it.

This revision was automatically updated to reflect the committed changes.

Why isn't this just CFLAGS+=-fPIC ?

Because e.g. powerpc64 doesn't need it.

What that says to me is that we need a standard ${CFLAGS_PIC} variable or some such, which is defined to -fPIC on most platforms and empty on powerpc64, rather than pollute every port makefile with an ever-changing list of which arches need -fPIC and which don't.